cdac.medinfo.sdk.hl7282.baselibs.segments

## Class OM7

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.OM7

- All Implemented Interfaces:
    ISegment

      public class OM7
      extends Segment

  OM7 - Additional Basic Attributes .

  The OM7 segment contains additional basic attributes that apply to the definition of most observations/services.

  Represents an HL7 OM7 message segment. This segment has the following fields:

  OM7-1: Sequence Number - Test/Observation Master File (NM)Required
  OM7-2: Universal Service Identifier (CWE)Required
  OM7-3: Category Identifier (CWE)Optional
  OM7-4: Category Description (TX)Optional
  OM7-5: Category Synonym (ST)Optional
  OM7-6: Effective Test/Service Start Date/Time (DTM)Optional
  OM7-7: Effective Test/Service End Date/Time (DTM)Optional
  OM7-8: Test/Service Default Duration Quantity (NM)Optional
  OM7-9: Test/Service Default Duration Units (CWE)Optional
  OM7-10: Test/Service Default Frequency (CWE)Optional
  OM7-11: Consent Indicator (ID)Optional
  OM7-12: Consent Identifier (CWE)Optional
  OM7-13: Consent Effective Start Date/Time (DTM)Optional
  OM7-14: Consent Effective End Date/Time (DTM)Optional
  OM7-15: Consent Interval Quantity (NM)Optional
  OM7-16: Consent Interval Units (CWE)Conditional
  OM7-17: Consent Waiting Period Quantity (NM)Optional
  OM7-18: Consent Waiting Period Units (CWE)Conditional
  OM7-19: Effective Date/Time of Change (DTM)Optional
  OM7-20: Entered By (XCN)Backward
  OM7-21: Orderable-at Location (PL)Backward
  OM7-22: Formulary Status (CWE)Optional
  OM7-23: Special Order Indicator (ID)Optional
  OM7-24: Primary Key Value - CDM (CWE)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OM7()` Constructs the OM7 segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCategoryIdentifier(CWE objcategoryIdentifier)` Add the Category Identifier.
    `void` | `addCategoryIdentifier(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Category Identifier.
    `void` | `addCategorySynonym(ST objcategorySynonym)` Add the Category Synonym.
    `void` | `addCategorySynonym(java.lang.String strCategorySynonym)` Add the Category Synonym.
    `void` | `addOrderableAtLocation(HD objPointOfCare, HD objRoom, HD objBed, HD objFacility, java.lang.String strLocationStatus, java.lang.String strPersonLocationType, HD objBuilding, HD objFloor, java.lang.String strLocationDescription, EI objComprehensiveLocationIdentifier, HD objAssigningAuthorityForLocation)` Add the Orderable At Location.
    `void` | `addOrderableAtLocation(PL objorderableAtLocation)` Add the Orderable At Location.
    `void` | `addPrimaryKeyValueCDM(CWE objprimaryKeyValueCDM)` Add the Primary Key Value CDM.
    `void` | `addPrimaryKeyValueCDM(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Primary Key Value CDM.
    `TX` | `getCategoryDescription()` Retrieves the Category Description.
    `ISingleCollection<CWE>` | `getCategoryIdentifier()` Retrieves the Category Identifier.
    `ISingleCollection<ST>` | `getCategorySynonym()` Retrieves the Category Synonym.
    `DTM` | `getConsentEffectiveEndDateTime()` Retrieves the Consent Effective End Date Time.
    `DTM` | `getConsentEffectiveStartDateTime()` Retrieves the Consent Effective Start Date Time.
    `CWE` | `getConsentIdentifier()` Retrieves the Consent Identifier.
    `ID` | `getConsentIndicator()` Retrieves the Consent Indicator.
    `NM` | `getConsentIntervalQuantity()` Retrieves the Consent Interval Quantity.
    `CWE` | `getConsentIntervalUnits()` Retrieves the Consent Interval Units.
    `NM` | `getConsentWaitingPeriodQuantity()` Retrieves the Consent Waiting Period Quantity.
    `CWE` | `getConsentWaitingPeriodUnits()` Retrieves the Consent Waiting Period Units.
    `DTM` | `getEffectiveDateTimeOfChange()` Retrieves the Effective Date Time Of Change.
    `DTM` | `getEffectiveTestServiceEndDateTime()` Retrieves the Effective Test Service End Date Time.
    `DTM` | `getEffectiveTestServiceStartDateTime()` Retrieves the Effective Test Service Start Date Time.
    `XCN` | `getEnteredBy()` Retrieves the Entered By.
    `CWE` | `getFormularyStatus()` Retrieves the Formulary Status.
    `ISingleCollection<PL>` | `getOrderableAtLocation()` Retrieves the Orderable At Location.
    `ISingleCollection<CWE>` | `getPrimaryKeyValueCDM()` Retrieves the Primary Key Value CDM.
    `NM` | `getSequenceNumberTestObservationMasterFile()` Retrieves the Sequence Number Test Observation Master File.
    `ID` | `getSpecialOrderIndicator()` Retrieves the Special Order Indicator.
    `NM` | `getTestServiceDefaultDurationQuantity()` Retrieves the Test Service Default Duration Quantity.
    `CWE` | `getTestServiceDefaultDurationUnits()` Retrieves the Test Service Default Duration Units.
    `CWE` | `getTestServiceDefaultFrequency()` Retrieves the Test Service Default Frequency.
    `CWE` | `getUniversalServiceIdentifier()` Retrieves the Universal Service Identifier.
    `void` | `setCategoryDescription(java.lang.String strCategoryDescription)` Set the Category Description.
    `void` | `setCategoryDescription(TX objcategoryDescription)` Set the Category Description.
    `void` | `setCategoryIdentifier(ISingleCollection<CWE> objcategoryIdentifierList)` Set the Category Identifier.
    `void` | `setCategorySynonym(ISingleCollection<ST> objcategorySynonymList)` Set the Category Synonym.
    `void` | `setConsentEffectiveEndDateTime(DTM objconsentEffectiveEndDateTime)` Set the Consent Effective End Date Time.
    `void` | `setConsentEffectiveEndDateTime(java.lang.String strTime)` Set the Consent Effective End Date Time.
    `void` | `setConsentEffectiveStartDateTime(DTM objconsentEffectiveStartDateTime)` Set the Consent Effective Start Date Time.
    `void` | `setConsentEffectiveStartDateTime(java.lang.String strTime)` Set the Consent Effective Start Date Time.
    `void` | `setConsentIdentifier(CWE objconsentIdentifier)` Set the Consent Identifier.
    `void` | `setConsentIdentifier(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Consent Identifier.
    `void` | `setConsentIndicator(ID objconsentIndicator)` Set the Consent Indicator.
    `void` | `setConsentIndicator(java.lang.String strConsentIndicator)` Set the Consent Indicator.
    `void` | `setConsentIntervalQuantity(NM objconsentIntervalQuantity)` Set the Consent Interval Quantity.
    `void` | `setConsentIntervalQuantity(java.lang.String strConsentIntervalQuantity)` Set the Consent Interval Quantity.
    `void` | `setConsentIntervalUnits(CWE objconsentIntervalUnits)` Set the Consent Interval Units.
    `void` | `setConsentIntervalUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Consent Interval Units.
    `void` | `setConsentWaitingPeriodQuantity(NM objconsentWaitingPeriodQuantity)` Set the Consent Waiting Period Quantity.
    `void` | `setConsentWaitingPeriodQuantity(java.lang.String strConsentWaitingPeriodQuantity)` Set the Consent Waiting Period Quantity.
    `void` | `setConsentWaitingPeriodUnits(CWE objconsentWaitingPeriodUnits)` Set the Consent Waiting Period Units.
    `void` | `setConsentWaitingPeriodUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Consent Waiting Period Units.
    `void` | `setEffectiveDateTimeOfChange(DTM objeffectiveDateTimeOfChange)` Set the Effective Date Time Of Change.
    `void` | `setEffectiveDateTimeOfChange(java.lang.String strTime)` Set the Effective Date Time Of Change.
    `void` | `setEffectiveTestServiceEndDateTime(DTM objeffectiveTestServiceEndDateTime)` Set the Effective Test Service End Date Time.
    `void` | `setEffectiveTestServiceEndDateTime(java.lang.String strTime)` Set the Effective Test Service End Date Time.
    `void` | `setEffectiveTestServiceStartDateTime(DTM objeffectiveTestServiceStartDateTime)` Set the Effective Test Service Start Date Time.
    `void` | `setEffectiveTestServiceStartDateTime(java.lang.String strTime)` Set the Effective Test Service Start Date Time.
    `void` | `setEnteredBy(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Entered By.
    `void` | `setEnteredBy(XCN objenteredBy)` Set the Entered By.
    `void` | `setFormularyStatus(CWE objformularyStatus)` Set the Formulary Status.
    `void` | `setFormularyStatus(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Formulary Status.
    `void` | `setOrderableAtLocation(ISingleCollection<PL> objorderableAtLocationList)` Set the Orderable At Location.
    `void` | `setPrimaryKeyValueCDM(ISingleCollection<CWE> objprimaryKeyValueCDMList)` Set the Primary Key Value CDM.
    `void` | `setSequenceNumberTestObservationMasterFile(NM objsequenceNumberTestObservationMasterFile)` Set the Sequence Number Test Observation Master File.
    `void` | `setSequenceNumberTestObservationMasterFile(java.lang.String strSequenceNumberTestObservationMasterFile)` Set the Sequence Number Test Observation Master File.
    `void` | `setSpecialOrderIndicator(ID objspecialOrderIndicator)` Set the Special Order Indicator.
    `void` | `setSpecialOrderIndicator(java.lang.String strSpecialOrderIndicator)` Set the Special Order Indicator.
    `void` | `setTestServiceDefaultDurationQuantity(NM objtestServiceDefaultDurationQuantity)` Set the Test Service Default Duration Quantity.
    `void` | `setTestServiceDefaultDurationQuantity(java.lang.String strTestServiceDefaultDurationQuantity)` Set the Test Service Default Duration Quantity.
    `void` | `setTestServiceDefaultDurationUnits(CWE objtestServiceDefaultDurationUnits)` Set the Test Service Default Duration Units.
    `void` | `setTestServiceDefaultDurationUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Test Service Default Duration Units.
    `void` | `setTestServiceDefaultFrequency(CWE objtestServiceDefaultFrequency)` Set the Test Service Default Frequency.
    `void` | `setTestServiceDefaultFrequency(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Test Service Default Frequency.
    `void` | `setUniversalServiceIdentifier(CWE objuniversalServiceIdentifier)` Set the Universal Service Identifier.
    `void` | `setUniversalServiceIdentifier(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Universal Service Identifier.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OM7

          public OM7()

      Constructs the OM7 segment.

  - ### Method Detail

    - #### getCategoryDescription

          public TX getCategoryDescription()

      Retrieves the Category Description. This field contains a text description for the category of the test/service item.
      Returns:
        TX - categoryDescription

    - #### getCategoryIdentifier

          public ISingleCollection<CWE> getCategoryIdentifier()

      Retrieves the Category Identifier.
      Returns:
        ISingleCollection - categoryIdentifier

    - #### getCategorySynonym

          public ISingleCollection<ST> getCategorySynonym()

      Retrieves the Category Synonym. This field contains an alternate name(s) for the category of the test/service.
      Returns:
        ISingleCollection - categorySynonym

    - #### getConsentEffectiveEndDateTime

          public DTM getConsentEffectiveEndDateTime()

      Retrieves the Consent Effective End Date Time. This field contains the date and time the consent is no longer valid for the test/service.
      Returns:
        DTM - consentEffectiveEndDateTime

    - #### getConsentEffectiveStartDateTime

          public DTM getConsentEffectiveStartDateTime()

      Retrieves the Consent Effective Start Date Time. This field contains the date and time the consent is valid for the service item.
      Returns:
        DTM - consentEffectiveStartDateTime

    - #### getConsentIdentifier

          public CWE getConsentIdentifier()

      Retrieves the Consent Identifier. This field contains the identifier for the consent specified for the service item.
      Returns:
        CWE - consentIdentifier

    - #### getConsentIndicator

          public ID getConsentIndicator()

      Retrieves the Consent Indicator. This field indicates if a consent is needed for the service item.
      Returns:
        ID - consentIndicator

    - #### getConsentIntervalQuantity

          public NM getConsentIntervalQuantity()

      Retrieves the Consent Interval Quantity. This field specify the period of time for which a consent is valid for a specific service item.
      Returns:
        NM - consentIntervalQuantity

    - #### getConsentIntervalUnits

          public CWE getConsentIntervalUnits()

      Retrieves the Consent Interval Units. This field specify the unit of time for OM7-15 - Consent Interval Quantity.
      Returns:
        CWE - consentIntervalUnits

    - #### getConsentWaitingPeriodQuantity

          public NM getConsentWaitingPeriodQuantity()

      Retrieves the Consent Waiting Period Quantity. This field contains the time period between the time the consent is signed and the procedure can be performed.
      Returns:
        NM - consentWaitingPeriodQuantity

    - #### getConsentWaitingPeriodUnits

          public CWE getConsentWaitingPeriodUnits()

      Retrieves the Consent Waiting Period Units. This field specify the unit of time for OM7-17 - Consent Waiting Period Quantity.
      Returns:
        CWE - consentWaitingPeriodUnits

    - #### getEffectiveDateTimeOfChange

          public DTM getEffectiveDateTimeOfChange()

      Retrieves the Effective Date Time Of Change. This field contains the date and time of the last change in the test procedure that would make previous results incompatible with new results.
      Returns:
        DTM - effectiveDateTimeOfChange

    - #### getEffectiveTestServiceEndDateTime

          public DTM getEffectiveTestServiceEndDateTime()

      Retrieves the Effective Test Service End Date Time. This field contains the date and time that the service item is no longer authorized to be ordered, performed, etc.
      Returns:
        DTM - effectiveTestServiceEndDateTime

    - #### getEffectiveTestServiceStartDateTime

          public DTM getEffectiveTestServiceStartDateTime()

      Retrieves the Effective Test Service Start Date Time. This field contains the date and time that the service item is available to be ordered, performed, etc.
      Returns:
        DTM - effectiveTestServiceStartDateTime

    - #### getEnteredBy

          public XCN getEnteredBy()

      Retrieves the Entered By. This field contains the identity of the person who actually keyed the service item into the application.
      Returns:
        XCN - enteredBy

    - #### getFormularyStatus

          public CWE getFormularyStatus()

      Retrieves the Formulary Status. This field indicates whether the service (pharmaceutical) is in the formulary or not.
      Returns:
        CWE - formularyStatus

    - #### getOrderableAtLocation

          public ISingleCollection<PL> getOrderableAtLocation()

      Retrieves the Orderable At Location. This field contains the location(s) where the test/service can be ordered.
      Returns:
        ISingleCollection - orderableAtLocation

    - #### getPrimaryKeyValueCDM

          public ISingleCollection<CWE> getPrimaryKeyValueCDM()

      Retrieves the Primary Key Value CDM. This field associate a Service/Test/Observation item with a CIM (charge item master).
      Returns:
        ISingleCollection - primaryKeyValueCDM

    - #### getSequenceNumberTestObservationMasterFile

          public NM getSequenceNumberTestObservationMasterFile()

      Retrieves the Sequence Number Test Observation Master File. This field contains the value as the sequence number.
      Returns:
        NM - sequenceNumberTestObservationMasterFile

    - #### getSpecialOrderIndicator

          public ID getSpecialOrderIndicator()

      Retrieves the Special Order Indicator. This field indicates whether the service (pharmaceutical) is a special order or not.
      Returns:
        ID - specialOrderIndicator

    - #### getTestServiceDefaultDurationQuantity

          public NM getTestServiceDefaultDurationQuantity()

      Retrieves the Test Service Default Duration Quantity. This field indicates the default duration quantity for the service.
      Returns:
        NM - testServiceDefaultDurationQuantity

    - #### getTestServiceDefaultDurationUnits

          public CWE getTestServiceDefaultDurationUnits()

      Retrieves the Test Service Default Duration Units. This field indicates the default duration units for the service.
      Returns:
        CWE - testServiceDefaultDurationUnits

    - #### getTestServiceDefaultFrequency

          public CWE getTestServiceDefaultFrequency()

      Retrieves the Test Service Default Frequency. This field indicates the default frequency (how often) the service would be ordered for or performed on.
      Returns:
        CWE - testServiceDefaultFrequency

    - #### getUniversalServiceIdentifier

          public CWE getUniversalServiceIdentifier()

      Retrieves the Universal Service Identifier. This field contains the producer's usual or preferred identification of the test or service.
      Returns:
        CWE - universalServiceIdentifier

    - #### setSequenceNumberTestObservationMasterFile

          public void setSequenceNumberTestObservationMasterFile(java.lang.String strSequenceNumberTestObservationMasterFile)

      Set the Sequence Number Test Observation Master File. This field contains the value as the sequence number.
      Parameters:
        `strSequenceNumberTestObservationMasterFile` - This field contains the value as the sequence number.

    - #### setSequenceNumberTestObservationMasterFile

          public void setSequenceNumberTestObservationMasterFile(NM objsequenceNumberTestObservationMasterFile)

      Set the Sequence Number Test Observation Master File. This field contains the value as the sequence number.
      Parameters:
        `objsequenceNumberTestObservationMasterFile` - Object of Sequence Number Test Observation Master File.

    - #### setUniversalServiceIdentifier

          public void setUniversalServiceIdentifier(java.lang.String strIdentifier,
                                           java.lang.String strText,
                                           java.lang.String strNameOfCodingSystem,
                                           java.lang.String strAlternateIdentifier,
                                           java.lang.String strAlternateText,
                                           java.lang.String strNameOfAlternateCodingSystem,
                                           java.lang.String strCodingSystemVersionID,
                                           java.lang.String strAlternateCodingSystemVersionId,
                                           java.lang.String strOriginalText,
                                           java.lang.String strSecondAlternateIdentifier,
                                           java.lang.String strSecondAlternateText,
                                           java.lang.String strNameofSecondAlternateCodingSystem,
                                           java.lang.String strSecondAlternateCodingSystemVersionID,
                                           java.lang.String strCodingSystemOID,
                                           java.lang.String strValueSetOID,
                                           java.lang.String strValueSetVersionID,
                                           java.lang.String strAlternateCodingSystemOID,
                                           java.lang.String strAlternateValueSetOID,
                                           java.lang.String strAlternateValueSetVersionID,
                                           java.lang.String strSecondAlternateCodingSystemOID,
                                           java.lang.String strSecondAlternateValueSetOID,
                                           java.lang.String strSecondAlternateValueSetVersionID)

      Set the Universal Service Identifier. This field contains the producer's usual or preferred identification of the test or service.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setUniversalServiceIdentifier

          public void setUniversalServiceIdentifier(CWE objuniversalServiceIdentifier)

      Set the Universal Service Identifier. This field contains the producer's usual or preferred identification of the test or service.
      Parameters:
        `objuniversalServiceIdentifier` - Object of Universal Service Identifier.

    - #### addCategoryIdentifier

          public void addCategoryIdentifier(java.lang.String strIdentifier,
                                   java.lang.String strText,
                                   java.lang.String strNameOfCodingSystem,
                                   java.lang.String strAlternateIdentifier,
                                   java.lang.String strAlternateText,
                                   java.lang.String strNameOfAlternateCodingSystem,
                                   java.lang.String strCodingSystemVersionID,
                                   java.lang.String strAlternateCodingSystemVersionId,
                                   java.lang.String strOriginalText,
                                   java.lang.String strSecondAlternateIdentifier,
                                   java.lang.String strSecondAlternateText,
                                   java.lang.String strNameofSecondAlternateCodingSystem,
                                   java.lang.String strSecondAlternateCodingSystemVersionID,
                                   java.lang.String strCodingSystemOID,
                                   java.lang.String strValueSetOID,
                                   java.lang.String strValueSetVersionID,
                                   java.lang.String strAlternateCodingSystemOID,
                                   java.lang.String strAlternateValueSetOID,
                                   java.lang.String strAlternateValueSetVersionID,
                                   java.lang.String strSecondAlternateCodingSystemOID,
                                   java.lang.String strSecondAlternateValueSetOID,
                                   java.lang.String strSecondAlternateValueSetVersionID)

      Add the Category Identifier.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addCategoryIdentifier

          public void addCategoryIdentifier(CWE objcategoryIdentifier)

      Add the Category Identifier.
      Parameters:
        `objcategoryIdentifier` - Object of Category Identifier.

    - #### setCategoryIdentifier

          public void setCategoryIdentifier(ISingleCollection<CWE> objcategoryIdentifierList)

      Set the Category Identifier.
      Parameters:
        `objcategoryIdentifierList` - List of Category Identifier.

    - #### setCategoryDescription

          public void setCategoryDescription(java.lang.String strCategoryDescription)

      Set the Category Description. This field contains a text description for the category of the test/service item.
      Parameters:
        `strCategoryDescription` - Use as CategoryDescription.

    - #### setCategoryDescription

          public void setCategoryDescription(TX objcategoryDescription)

      Set the Category Description. This field contains a text description for the category of the test/service item.
      Parameters:
        `objcategoryDescription` - Object of Category Description.

    - #### addCategorySynonym

          public void addCategorySynonym(java.lang.String strCategorySynonym)

      Add the Category Synonym. This field contains an alternate name(s) for the category of the test/service.
      Parameters:
        `strCategorySynonym` - The string value of Category Synonym

    - #### addCategorySynonym

          public void addCategorySynonym(ST objcategorySynonym)

      Add the Category Synonym. This field contains an alternate name(s) for the category of the test/service.
      Parameters:
        `objcategorySynonym` - OBject of Category Synonym.

    - #### setCategorySynonym

          public void setCategorySynonym(ISingleCollection<ST> objcategorySynonymList)

      Set the Category Synonym. This field contains an alternate name(s) for the category of the test/service.
      Parameters:
        `objcategorySynonymList` - List of Category Synonym.

    - #### setEffectiveTestServiceStartDateTime

          public void setEffectiveTestServiceStartDateTime(java.lang.String strTime)

      Set the Effective Test Service Start Date Time. This field contains the date and time that the service item is available to be ordered, performed, etc.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setEffectiveTestServiceStartDateTime

          public void setEffectiveTestServiceStartDateTime(DTM objeffectiveTestServiceStartDateTime)

      Set the Effective Test Service Start Date Time. This field contains the date and time that the service item is available to be ordered, performed, etc.
      Parameters:
        `objeffectiveTestServiceStartDateTime` - Object of Effective Test Service Start Date Time.

    - #### setEffectiveTestServiceEndDateTime

          public void setEffectiveTestServiceEndDateTime(java.lang.String strTime)

      Set the Effective Test Service End Date Time. This field contains the date and time that the service item is no longer authorized to be ordered, performed, etc.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setEffectiveTestServiceEndDateTime

          public void setEffectiveTestServiceEndDateTime(DTM objeffectiveTestServiceEndDateTime)

      Set the Effective Test Service End Date Time. This field contains the date and time that the service item is no longer authorized to be ordered, performed, etc.
      Parameters:
        `objeffectiveTestServiceEndDateTime` - Object of Effective Test Service End Date Time.

    - #### setTestServiceDefaultDurationQuantity

          public void setTestServiceDefaultDurationQuantity(java.lang.String strTestServiceDefaultDurationQuantity)

      Set the Test Service Default Duration Quantity. This field indicates the default duration quantity for the service.
      Parameters:
        `strTestServiceDefaultDurationQuantity` - This field contains the string value of Test Service Default Duration Quantity .

    - #### setTestServiceDefaultDurationQuantity

          public void setTestServiceDefaultDurationQuantity(NM objtestServiceDefaultDurationQuantity)

      Set the Test Service Default Duration Quantity. This field indicates the default duration quantity for the service.
      Parameters:
        `objtestServiceDefaultDurationQuantity` - OBject of Test Service Default Duration Quantity.

    - #### setTestServiceDefaultDurationUnits

          public void setTestServiceDefaultDurationUnits(java.lang.String strIdentifier,
                                                java.lang.String strText,
                                                java.lang.String strNameOfCodingSystem,
                                                java.lang.String strAlternateIdentifier,
                                                java.lang.String strAlternateText,
                                                java.lang.String strNameOfAlternateCodingSystem,
                                                java.lang.String strCodingSystemVersionID,
                                                java.lang.String strAlternateCodingSystemVersionId,
                                                java.lang.String strOriginalText,
                                                java.lang.String strSecondAlternateIdentifier,
                                                java.lang.String strSecondAlternateText,
                                                java.lang.String strNameofSecondAlternateCodingSystem,
                                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                                java.lang.String strCodingSystemOID,
                                                java.lang.String strValueSetOID,
                                                java.lang.String strValueSetVersionID,
                                                java.lang.String strAlternateCodingSystemOID,
                                                java.lang.String strAlternateValueSetOID,
                                                java.lang.String strAlternateValueSetVersionID,
                                                java.lang.String strSecondAlternateCodingSystemOID,
                                                java.lang.String strSecondAlternateValueSetOID,
                                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Test Service Default Duration Units. This field indicates the default duration units for the service.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setTestServiceDefaultDurationUnits

          public void setTestServiceDefaultDurationUnits(CWE objtestServiceDefaultDurationUnits)

      Set the Test Service Default Duration Units. This field indicates the default duration units for the service.
      Parameters:
        `objtestServiceDefaultDurationUnits` - Object of Test Service Default Duration Units.

    - #### setTestServiceDefaultFrequency

          public void setTestServiceDefaultFrequency(java.lang.String strIdentifier,
                                            java.lang.String strText,
                                            java.lang.String strNameOfCodingSystem,
                                            java.lang.String strAlternateIdentifier,
                                            java.lang.String strAlternateText,
                                            java.lang.String strNameOfAlternateCodingSystem,
                                            java.lang.String strCodingSystemVersionID,
                                            java.lang.String strAlternateCodingSystemVersionId,
                                            java.lang.String strOriginalText,
                                            java.lang.String strSecondAlternateIdentifier,
                                            java.lang.String strSecondAlternateText,
                                            java.lang.String strNameofSecondAlternateCodingSystem,
                                            java.lang.String strSecondAlternateCodingSystemVersionID,
                                            java.lang.String strCodingSystemOID,
                                            java.lang.String strValueSetOID,
                                            java.lang.String strValueSetVersionID,
                                            java.lang.String strAlternateCodingSystemOID,
                                            java.lang.String strAlternateValueSetOID,
                                            java.lang.String strAlternateValueSetVersionID,
                                            java.lang.String strSecondAlternateCodingSystemOID,
                                            java.lang.String strSecondAlternateValueSetOID,
                                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Test Service Default Frequency. This field indicates the default frequency (how often) the service would be ordered for or performed on.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setTestServiceDefaultFrequency

          public void setTestServiceDefaultFrequency(CWE objtestServiceDefaultFrequency)

      Set the Test Service Default Frequency. This field indicates the default frequency (how often) the service would be ordered for or performed on.
      Parameters:
        `objtestServiceDefaultFrequency` - Object of Test Service Default Frequency.

    - #### setConsentIndicator

          public void setConsentIndicator(java.lang.String strConsentIndicator)

      Set the Consent Indicator. This field indicates if a consent is needed for the service item.
      Parameters:
        `strConsentIndicator` - This field indicates if a consent is needed for the service item.

    - #### setConsentIndicator

          public void setConsentIndicator(ID objconsentIndicator)

      Set the Consent Indicator. This field indicates if a consent is needed for the service item.
      Parameters:
        `objconsentIndicator` - Object of Consent Indicator.

    - #### setConsentIdentifier

          public void setConsentIdentifier(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Consent Identifier. This field contains the identifier for the consent specified for the service item.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setConsentIdentifier

          public void setConsentIdentifier(CWE objconsentIdentifier)

      Set the Consent Identifier. This field contains the identifier for the consent specified for the service item.
      Parameters:
        `objconsentIdentifier` - Object of Consent Identifier.

    - #### setConsentEffectiveStartDateTime

          public void setConsentEffectiveStartDateTime(java.lang.String strTime)

      Set the Consent Effective Start Date Time. This field contains the date and time the consent is valid for the service item.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setConsentEffectiveStartDateTime

          public void setConsentEffectiveStartDateTime(DTM objconsentEffectiveStartDateTime)

      Set the Consent Effective Start Date Time. This field contains the date and time the consent is valid for the service item.
      Parameters:
        `objconsentEffectiveStartDateTime` - OBject of Consent Effective Start Date Time.

    - #### setConsentEffectiveEndDateTime

          public void setConsentEffectiveEndDateTime(java.lang.String strTime)

      Set the Consent Effective End Date Time. This field contains the date and time the consent is no longer valid for the test/service.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setConsentEffectiveEndDateTime

          public void setConsentEffectiveEndDateTime(DTM objconsentEffectiveEndDateTime)

      Set the Consent Effective End Date Time. This field contains the date and time the consent is no longer valid for the test/service.
      Parameters:
        `objconsentEffectiveEndDateTime` - Object of Consent Effective End Date Time.

    - #### setConsentIntervalQuantity

          public void setConsentIntervalQuantity(java.lang.String strConsentIntervalQuantity)

      Set the Consent Interval Quantity. This field specify the period of time for which a consent is valid for a specific service item.
      Parameters:
        `strConsentIntervalQuantity` - This field contains the String value of Consent Interval Quantity.

    - #### setConsentIntervalQuantity

          public void setConsentIntervalQuantity(NM objconsentIntervalQuantity)

      Set the Consent Interval Quantity. This field specify the period of time for which a consent is valid for a specific service item.
      Parameters:
        `objconsentIntervalQuantity` - Object of Consent Interval Quantity.

    - #### setConsentIntervalUnits

          public void setConsentIntervalUnits(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionId,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the Consent Interval Units. This field specify the unit of time for OM7-15 - Consent Interval Quantity.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setConsentIntervalUnits

          public void setConsentIntervalUnits(CWE objconsentIntervalUnits)

      Set the Consent Interval Units. This field specify the unit of time for OM7-15 - Consent Interval Quantity.
      Parameters:
        `objconsentIntervalUnits` - Object of Consent Interval Units.

    - #### setConsentWaitingPeriodQuantity

          public void setConsentWaitingPeriodQuantity(java.lang.String strConsentWaitingPeriodQuantity)

      Set the Consent Waiting Period Quantity. This field contains the time period between the time the consent is signed and the procedure can be performed.
      Parameters:
        `strConsentWaitingPeriodQuantity` - This field contains the String value of Consent Waiting Period Quantity.

    - #### setConsentWaitingPeriodQuantity

          public void setConsentWaitingPeriodQuantity(NM objconsentWaitingPeriodQuantity)

      Set the Consent Waiting Period Quantity. This field contains the time period between the time the consent is signed and the procedure can be performed.
      Parameters:
        `objconsentWaitingPeriodQuantity` - Object of Consent Waiting Period Quantity.

    - #### setConsentWaitingPeriodUnits

          public void setConsentWaitingPeriodUnits(java.lang.String strIdentifier,
                                          java.lang.String strText,
                                          java.lang.String strNameOfCodingSystem,
                                          java.lang.String strAlternateIdentifier,
                                          java.lang.String strAlternateText,
                                          java.lang.String strNameOfAlternateCodingSystem,
                                          java.lang.String strCodingSystemVersionID,
                                          java.lang.String strAlternateCodingSystemVersionId,
                                          java.lang.String strOriginalText,
                                          java.lang.String strSecondAlternateIdentifier,
                                          java.lang.String strSecondAlternateText,
                                          java.lang.String strNameofSecondAlternateCodingSystem,
                                          java.lang.String strSecondAlternateCodingSystemVersionID,
                                          java.lang.String strCodingSystemOID,
                                          java.lang.String strValueSetOID,
                                          java.lang.String strValueSetVersionID,
                                          java.lang.String strAlternateCodingSystemOID,
                                          java.lang.String strAlternateValueSetOID,
                                          java.lang.String strAlternateValueSetVersionID,
                                          java.lang.String strSecondAlternateCodingSystemOID,
                                          java.lang.String strSecondAlternateValueSetOID,
                                          java.lang.String strSecondAlternateValueSetVersionID)

      Set the Consent Waiting Period Units. This field specify the unit of time for OM7-17 - Consent Waiting Period Quantity.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setConsentWaitingPeriodUnits

          public void setConsentWaitingPeriodUnits(CWE objconsentWaitingPeriodUnits)

      Set the Consent Waiting Period Units. This field specify the unit of time for OM7-17 - Consent Waiting Period Quantity.
      Parameters:
        `objconsentWaitingPeriodUnits` - Object of Consent Waiting Period Units.

    - #### setEffectiveDateTimeOfChange

          public void setEffectiveDateTimeOfChange(java.lang.String strTime)

      Set the Effective Date Time Of Change. This field contains the date and time of the last change in the test procedure that would make previous results incompatible with new results.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setEffectiveDateTimeOfChange

          public void setEffectiveDateTimeOfChange(DTM objeffectiveDateTimeOfChange)

      Set the Effective Date Time Of Change. This field contains the date and time of the last change in the test procedure that would make previous results incompatible with new results.
      Parameters:
        `objeffectiveDateTimeOfChange` - Object of Effective Date Time Of Change.

    - #### setEnteredBy

          public void setEnteredBy(java.lang.String strIDNumber,
                          FN objFamilyName,
                          java.lang.String strGivenName,
                          java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                          java.lang.String strSuffix,
                          java.lang.String strPrefix,
                          CWE objSourceTable,
                          HD objAssigningAuthority,
                          java.lang.String strNameTypeCode,
                          java.lang.String strIdentifierCheckDigit,
                          java.lang.String strCheckDigitScheme,
                          java.lang.String strIdentifierTypeCode,
                          HD objAssigningFacility,
                          java.lang.String strNameRepresentationCode,
                          CWE objNameContext,
                          java.lang.String strNameAssemblyOrder,
                          java.lang.String strEffectiveDate,
                          java.lang.String strExpirationDate,
                          java.lang.String strProfessionalSuffix,
                          CWE objAssigningJurisdiction,
                          CWE objAssigningAgencyOrDepratment,
                          java.lang.String strSecurityCheck,
                          java.lang.String strSecurityCheckScheme)

      Set the Entered By. This field contains the identity of the person who actually keyed the service item into the application.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### setEnteredBy

          public void setEnteredBy(XCN objenteredBy)

      Set the Entered By. This field contains the identity of the person who actually keyed the service item into the application.
      Parameters:
        `objenteredBy` - Object of Entered By.

    - #### addOrderableAtLocation

          public void addOrderableAtLocation(HD objPointOfCare,
                                    HD objRoom,
                                    HD objBed,
                                    HD objFacility,
                                    java.lang.String strLocationStatus,
                                    java.lang.String strPersonLocationType,
                                    HD objBuilding,
                                    HD objFloor,
                                    java.lang.String strLocationDescription,
                                    EI objComprehensiveLocationIdentifier,
                                    HD objAssigningAuthorityForLocation)

      Add the Orderable At Location. This field contains the location(s) where the test/service can be ordered.
      Parameters:
        `strPointOfCare` - Use as PointOfCare.
        `strRoom` - Use as Room.
        `strBed` - Use as Bed.
        `objFacility` - Use as Facility.
        `strLocationStatus` - Use as LocationStatus.
        `strPersonLocationType` - Use as PersonLocationType.
        `strBuilding` - Use as Building.
        `strFloor` - Use as Floor.
        `strLocationDescription` - Use as LocationDescription.
        `objComprehensiveLocationIdentifier` - Use as ComprehensiveLocationIdentifier.
        `objAssigningAuthorityForLocation` - Use as AssigningAuthorityForLocation.

    - #### addOrderableAtLocation

          public void addOrderableAtLocation(PL objorderableAtLocation)

      Add the Orderable At Location. This field contains the location(s) where the test/service can be ordered.
      Parameters:
        `objorderableAtLocation` - Object of Orderable At Location.

    - #### setOrderableAtLocation

          public void setOrderableAtLocation(ISingleCollection<PL> objorderableAtLocationList)

      Set the Orderable At Location. This field contains the location(s) where the test/service can be ordered.
      Parameters:
        `objorderableAtLocationList` - List of Orderable At Location.

    - #### setFormularyStatus

          public void setFormularyStatus(java.lang.String strIdentifier,
                                java.lang.String strText,
                                java.lang.String strNameOfCodingSystem,
                                java.lang.String strAlternateIdentifier,
                                java.lang.String strAlternateText,
                                java.lang.String strNameOfAlternateCodingSystem,
                                java.lang.String strCodingSystemVersionID,
                                java.lang.String strAlternateCodingSystemVersionId,
                                java.lang.String strOriginalText,
                                java.lang.String strSecondAlternateIdentifier,
                                java.lang.String strSecondAlternateText,
                                java.lang.String strNameofSecondAlternateCodingSystem,
                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                java.lang.String strCodingSystemOID,
                                java.lang.String strValueSetOID,
                                java.lang.String strValueSetVersionID,
                                java.lang.String strAlternateCodingSystemOID,
                                java.lang.String strAlternateValueSetOID,
                                java.lang.String strAlternateValueSetVersionID,
                                java.lang.String strSecondAlternateCodingSystemOID,
                                java.lang.String strSecondAlternateValueSetOID,
                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Formulary Status. This field indicates whether the service (pharmaceutical) is in the formulary or not.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setFormularyStatus

          public void setFormularyStatus(CWE objformularyStatus)

      Set the Formulary Status. This field indicates whether the service (pharmaceutical) is in the formulary or not.
      Parameters:
        `objformularyStatus` - Object of Formulary Status.

    - #### setSpecialOrderIndicator

          public void setSpecialOrderIndicator(java.lang.String strSpecialOrderIndicator)

      Set the Special Order Indicator. This field indicates whether the service (pharmaceutical) is a special order or not.
      Parameters:
        `strSpecialOrderIndicator` - This field contains the String value of Special Order Indicator.

    - #### setSpecialOrderIndicator

          public void setSpecialOrderIndicator(ID objspecialOrderIndicator)

      Set the Special Order Indicator. This field indicates whether the service (pharmaceutical) is a special order or not.
      Parameters:
        `objspecialOrderIndicator` - Object of Special Order Indicator.

    - #### addPrimaryKeyValueCDM

          public void addPrimaryKeyValueCDM(java.lang.String strIdentifier,
                                   java.lang.String strText,
                                   java.lang.String strNameOfCodingSystem,
                                   java.lang.String strAlternateIdentifier,
                                   java.lang.String strAlternateText,
                                   java.lang.String strNameOfAlternateCodingSystem,
                                   java.lang.String strCodingSystemVersionID,
                                   java.lang.String strAlternateCodingSystemVersionId,
                                   java.lang.String strOriginalText,
                                   java.lang.String strSecondAlternateIdentifier,
                                   java.lang.String strSecondAlternateText,
                                   java.lang.String strNameofSecondAlternateCodingSystem,
                                   java.lang.String strSecondAlternateCodingSystemVersionID,
                                   java.lang.String strCodingSystemOID,
                                   java.lang.String strValueSetOID,
                                   java.lang.String strValueSetVersionID,
                                   java.lang.String strAlternateCodingSystemOID,
                                   java.lang.String strAlternateValueSetOID,
                                   java.lang.String strAlternateValueSetVersionID,
                                   java.lang.String strSecondAlternateCodingSystemOID,
                                   java.lang.String strSecondAlternateValueSetOID,
                                   java.lang.String strSecondAlternateValueSetVersionID)

      Add the Primary Key Value CDM. This field associate a Service/Test/Observation item with a CIM (charge item master).
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addPrimaryKeyValueCDM

          public void addPrimaryKeyValueCDM(CWE objprimaryKeyValueCDM)

      Add the Primary Key Value CDM. This field associate a Service/Test/Observation item with a CIM (charge item master).
      Parameters:
        `objprimaryKeyValueCDM` - Object of Primary Key Value CDM.

    - #### setPrimaryKeyValueCDM

          public void setPrimaryKeyValueCDM(ISingleCollection<CWE> objprimaryKeyValueCDMList)

      Set the Primary Key Value CDM. This field associate a Service/Test/Observation item with a CIM (charge item master).
      Parameters:
        `objprimaryKeyValueCDMList` - List of Primary Key Value CDM.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.